package intrinsic.mx.messaging.channels.amfx;

public class AMFXEncoder extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String NAMESPACE_URI = "namespace_uri";
	public static final int CURRENT_VERSION = 0;
	public static final intrinsic.Namespace NAMESPACE = null;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AMFXEncoder() {
}


/** Static Methods */
public static native void encodeValue(intrinsic.XML arg0, Object arg1, intrinsic.mx.messaging.channels.amfx.AMFXContext arg2);

/** Methods */
public native intrinsic.XML encode(Object arg0);
public native intrinsic.XML encode(Object arg0, intrinsic.Array arg1);

}
